Name:           python-fonticon-materialdesignicons7
Version:        7.2.96
Release:        %mkrel 3
Summary:        Material Design Icons 7 extension for superqt font icons
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/fonticon-materialdesignicons7/
Source:         %{pypi_source fonticon_materialdesignicons7}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Material Design Icons 7 extension for superqt font icons.}

%description %_description

%package -n     python3-fonticon-materialdesignicons7
Summary:        %{summary}

%description -n python3-fonticon-materialdesignicons7 %_description


%prep
%autosetup -p1 -n fonticon_materialdesignicons7-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files fonticon_mdi7


%check
%pyproject_check_import


%files -n python3-fonticon-materialdesignicons7 -f %{pyproject_files}
%doc README.md
%license LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 7.2.96-3.mga10
+ Revision: 2238304
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 7.2.96-2.mga10
+ Revision: 2154852
- rebuild for python3.13

* Sat Sep 14 2024 papoteur <papoteur> 7.2.96-1.mga10
+ Revision: 2096460
- import for superqt and spyder

